{ ... } @ inputs:

let
  hardware = inputs.hardware.nixosModules;
in
{
  home = {
    system = "x86_64-linux";

    extraModules = [
      ../users/jan
    ];

    extraHomeModule = { ... }: {
      local.polybar.wifiDevice = "wlp11s0f3u2";
      local.alacritty.fontSize = 8.0;
    };
  };

  asus-gl553vd = {
    system = "x86_64-linux";

    extraModules = [
      hardware.common-cpu-intel
      ../users/jan
    ];

    extraHomeModule = { ... }: {
      local.polybar.wifiDevice = "wlp2s0";
      local.alacritty.fontSize = 6.0;
    };
  };

  magenta = {
    system = "x86_64-linux";

    targetHost = "45.131.41.215";

    extraModules = [
      inputs.mailserver.nixosModule
    ];
  };
}
