{ config, pkgs, ... }:

let
  myneovim = pkgs.myneovim.override {
    viAlias = true;
    vimAlias = true;
    enableDevIcons = true;
    enableTabby = true;
    enableOrgMode = true;
    grammarFileTypes = [
      "nix"
      "lua"
      "bash"
      "yaml"
      "json"
      "rust"
      "haskell"
      "typescript"
      "javascript"
      "python"
      "html"
      "pug"
      "ledger"
      "org"
    ];
  };
in
{
  home.packages = [ myneovim ];

  home.sessionVariables.EDITOR = "nvim";
}
